# Mint an NFT

### Overview&#x20;

Minting an NFT to a collection is simple, only a **CID** from IPFS is required, however you may also batch your mints in sets of 10 if they use the same CID.

<mark style="color:blue;">`GET`</mark> `https://hedera-serverless-consensus.vercel.app/api/nft/:token_id/mint`

Mint an NFT to a collection, you may only mint in batches of 10, up to the limit of the collection.

#### Path Parameters

| Name                                        | Type   | Description                     |
| ------------------------------------------- | ------ | ------------------------------- |
| token\_id<mark style="color:red;">\*</mark> | String | token\_id of the nft collection |

#### Headers

| Name                                        | Type   | Description                                                       |
| ------------------------------------------- | ------ | ----------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | The **API\_SECRET\_KEY** from the client's environment variables. |

#### Request Body

| Name                                  | Type   | Description                                                 |
| ------------------------------------- | ------ | ----------------------------------------------------------- |
| cid<mark style="color:red;">\*</mark> | String | IPFS CID that has been generated through the metadata route |
| amount                                | int    | Default to 1, maximum batch mint of 10.                     |

{% tabs %}
{% tab title="200: OK Token has been minted into collection" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Header Auth Missing/invalid" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Missing CID from body" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/nft-ecosystem/mint-an-nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
